Package org.eclipse.birt.chart.model.component

# Interface ComponentPackage.Literals

Enclosing interface:
  ComponentPackage

public static interface ComponentPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`AXIS`
The meta object literal for the '`Axis`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__ALIGNED`
The meta object literal for the 'Aligned' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__ANCILLARY_AXES`
The meta object literal for the 'Ancillary Axes' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__ASSOCIATED_AXES`
The meta object literal for the 'Associated Axes' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__AXIS_PERCENT`
The meta object literal for the 'Axis Percent' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__CATEGORY_AXIS`
The meta object literal for the 'Category Axis' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__CURSOR`
The meta object literal for the 'Cursor' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__GAP_WIDTH`
The meta object literal for the 'Gap Width' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__INTERVAL`
The meta object literal for the 'Interval' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__LABEL_POSITION`
The meta object literal for the 'Label Position' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__LABEL_SPAN`
The meta object literal for the 'Label Span' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__LABEL_WITHIN_AXES`
The meta object literal for the 'Label Within Axes' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__MAJOR_GRID`
The meta object literal for the 'Major Grid' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__MARKER_LINES`
The meta object literal for the 'Marker Lines' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__MARKER_RANGES`
The meta object literal for the 'Marker Ranges' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__MINOR_GRID`
The meta object literal for the 'Minor Grid' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__ORIENTATION`
The meta object literal for the 'Orientation' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__ORIGIN`
The meta object literal for the 'Origin' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__PERCENT`
The meta object literal for the 'Percent' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__PRIMARY_AXIS`
The meta object literal for the 'Primary Axis' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__SCALE`
The meta object literal for the 'Scale' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__SERIES_DEFINITIONS`
The meta object literal for the 'Series Definitions' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__SIDE_BY_SIDE`
The meta object literal for the 'Side By Side' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__STAGGERED`
The meta object literal for the 'Staggered' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__SUB_TITLE`
The meta object literal for the 'Sub Title' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__TITLE`
The meta object literal for the 'Title' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__TITLE_POSITION`
The meta object literal for the 'Title Position' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`AXIS__TRIGGERS`
The meta object literal for the 'Triggers' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`AXIS__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`CHART_PREFERENCES`
The meta object literal for the '`Chart Preferences`' class.
`static final org.eclipse.emf.ecore.EReference`
`CHART_PREFERENCES__BLOCKS`
The meta object literal for the 'Blocks' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART_PREFERENCES__LABELS`
The meta object literal for the 'Labels' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`CURVE_FITTING`
The meta object literal for the '`Curve Fitting`' class.
`static final org.eclipse.emf.ecore.EReference`
`CURVE_FITTING__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CURVE_FITTING__LABEL_ANCHOR`
The meta object literal for the 'Label Anchor' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CURVE_FITTING__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`DIAL`
The meta object literal for the '`Dial`' class.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__DIAL_REGIONS`
The meta object literal for the 'Dial Regions' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__FILL`
The meta object literal for the 'Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL__INVERSE_SCALE`
The meta object literal for the 'Inverse Scale' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__MAJOR_GRID`
The meta object literal for the 'Major Grid' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__MINOR_GRID`
The meta object literal for the 'Minor Grid' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL__RADIUS`
The meta object literal for the 'Radius' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL__SCALE`
The meta object literal for the 'Scale' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL__START_ANGLE`
The meta object literal for the 'Start Angle' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL__STOP_ANGLE`
The meta object literal for the 'Stop Angle' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`DIAL_REGION`
The meta object literal for the '`Dial Region`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL_REGION__INNER_RADIUS`
The meta object literal for the 'Inner Radius' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL_REGION__OUTER_RADIUS`
The meta object literal for the 'Outer Radius' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`ESTRING_TO_DATA_SET_MAP_ENTRY`
The meta object literal for the '`EString To Data Set Map Entry`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`ESTRING_TO_DATA_SET_MAP_ENTRY__KEY`
The meta object literal for the 'Key' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE`
The meta object literal for the 'Value' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`GRID`
The meta object literal for the '`Grid`' class.
`static final org.eclipse.emf.ecore.EReference`
`GRID__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`GRID__TICK_ATTRIBUTES`
The meta object literal for the 'Tick Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GRID__TICK_COUNT`
The meta object literal for the 'Tick Count' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GRID__TICK_SIZE`
The meta object literal for the 'Tick Size' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GRID__TICK_STYLE`
The meta object literal for the 'Tick Style' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LABEL`
The meta object literal for the '`Label`' class.
`static final org.eclipse.emf.ecore.EReference`
`LABEL__BACKGROUND`
The meta object literal for the 'Background' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LABEL__CAPTION`
The meta object literal for the 'Caption' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LABEL__ELLIPSIS`
The meta object literal for the 'Ellipsis' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LABEL__INSETS`
The meta object literal for the 'Insets' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LABEL__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LABEL__SHADOW_COLOR`
The meta object literal for the 'Shadow Color' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LABEL__VISIBLE`
The meta object literal for the 'Visible' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`MARKER_LINE`
The meta object literal for the '`Marker Line`' class.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__CURSOR`
The meta object literal for the 'Cursor' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MARKER_LINE__LABEL_ANCHOR`
The meta object literal for the 'Label Anchor' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__TRIGGERS`
The meta object literal for the 'Triggers' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_LINE__VALUE`
The meta object literal for the 'Value' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`MARKER_RANGE`
The meta object literal for the '`Marker Range`' class.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__CURSOR`
The meta object literal for the 'Cursor' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__END_VALUE`
The meta object literal for the 'End Value' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__FILL`
The meta object literal for the 'Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`MARKER_RANGE__LABEL_ANCHOR`
The meta object literal for the 'Label Anchor' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__START_VALUE`
The meta object literal for the 'Start Value' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`MARKER_RANGE__TRIGGERS`
The meta object literal for the 'Triggers' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`NEEDLE`
The meta object literal for the '`Needle`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`NEEDLE__DECORATOR`
The meta object literal for the 'Decorator' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`NEEDLE__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`SCALE`
The meta object literal for the '`Scale`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__AUTO_EXPAND`
The meta object literal for the 'Auto Expand' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__FACTOR`
The meta object literal for the 'Factor' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__MAJOR_GRIDS_STEP_NUMBER`
The meta object literal for the 'Major Grids Step Number' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`SCALE__MAX`
The meta object literal for the 'Max' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SCALE__MIN`
The meta object literal for the 'Min' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__MINOR_GRIDS_PER_UNIT`
The meta object literal for the 'Minor Grids Per Unit' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__SHOW_OUTSIDE`
The meta object literal for the 'Show Outside' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__STEP`
The meta object literal for the 'Step' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__STEP_NUMBER`
The meta object literal for the 'Step Number' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__TICK_BETWEEN_CATEGORIES`
The meta object literal for the 'Tick Between Categories' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SCALE__UNIT`
The meta object literal for the 'Unit' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`SERIES`
The meta object literal for the '`Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__CURSOR`
The meta object literal for the 'Cursor' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__CURVE_FITTING`
The meta object literal for the 'Curve Fitting' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__DATA_DEFINITION`
The meta object literal for the 'Data Definition' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__DATA_POINT`
The meta object literal for the 'Data Point' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__DATA_SETS`
The meta object literal for the 'Data Sets' map feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES__LABEL_POSITION`
The meta object literal for the 'Label Position' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES__SERIES_IDENTIFIER`
The meta object literal for the 'Series Identifier' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES__STACKED`
The meta object literal for the 'Stacked' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES__TRANSLUCENT`
The meta object literal for the 'Translucent' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`SERIES__TRIGGERS`
The meta object literal for the 'Triggers' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`SERIES__VISIBLE`
The meta object literal for the 'Visible' attribute feature.

## Field Details

### AXIS

static final org.eclipse.emf.ecore.EClass AXIS
The meta object literal for the '`Axis`' class.

See Also:
  - `AxisImpl`
  - `ComponentPackageImpl.getAxis()`

### AXIS__TYPE

static final org.eclipse.emf.ecore.EAttribute AXIS__TYPE
The meta object literal for the 'Type' attribute feature.

### AXIS__TITLE

static final org.eclipse.emf.ecore.EReference AXIS__TITLE
The meta object literal for the 'Title' containment reference feature.

### AXIS__SUB_TITLE

static final org.eclipse.emf.ecore.EReference AXIS__SUB_TITLE
The meta object literal for the 'Sub Title' containment reference feature.

### AXIS__TITLE_POSITION

static final org.eclipse.emf.ecore.EAttribute AXIS__TITLE_POSITION
The meta object literal for the 'Title Position' attribute feature.

### AXIS__ASSOCIATED_AXES

static final org.eclipse.emf.ecore.EReference AXIS__ASSOCIATED_AXES
The meta object literal for the 'Associated Axes' containment reference list feature.

### AXIS__ANCILLARY_AXES

static final org.eclipse.emf.ecore.EReference AXIS__ANCILLARY_AXES
The meta object literal for the 'Ancillary Axes' containment reference list feature.

### AXIS__SERIES_DEFINITIONS

static final org.eclipse.emf.ecore.EReference AXIS__SERIES_DEFINITIONS
The meta object literal for the 'Series Definitions' containment reference list feature.

### AXIS__GAP_WIDTH

static final org.eclipse.emf.ecore.EAttribute AXIS__GAP_WIDTH
The meta object literal for the 'Gap Width' attribute feature.

### AXIS__ORIENTATION

static final org.eclipse.emf.ecore.EAttribute AXIS__ORIENTATION
The meta object literal for the 'Orientation' attribute feature.

### AXIS__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference AXIS__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### AXIS__LABEL

static final org.eclipse.emf.ecore.EReference AXIS__LABEL
The meta object literal for the 'Label' containment reference feature.

### AXIS__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference AXIS__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### AXIS__LABEL_POSITION

static final org.eclipse.emf.ecore.EAttribute AXIS__LABEL_POSITION
The meta object literal for the 'Label Position' attribute feature.

### AXIS__STAGGERED

static final org.eclipse.emf.ecore.EAttribute AXIS__STAGGERED
The meta object literal for the 'Staggered' attribute feature.

### AXIS__INTERVAL

static final org.eclipse.emf.ecore.EAttribute AXIS__INTERVAL
The meta object literal for the 'Interval' attribute feature.

### AXIS__MARKER_LINES

static final org.eclipse.emf.ecore.EReference AXIS__MARKER_LINES
The meta object literal for the 'Marker Lines' containment reference list feature.

### AXIS__MARKER_RANGES

static final org.eclipse.emf.ecore.EReference AXIS__MARKER_RANGES
The meta object literal for the 'Marker Ranges' containment reference list feature.

### AXIS__TRIGGERS

static final org.eclipse.emf.ecore.EReference AXIS__TRIGGERS
The meta object literal for the 'Triggers' containment reference list feature.

### AXIS__MAJOR_GRID

static final org.eclipse.emf.ecore.EReference AXIS__MAJOR_GRID
The meta object literal for the 'Major Grid' containment reference feature.

### AXIS__MINOR_GRID

static final org.eclipse.emf.ecore.EReference AXIS__MINOR_GRID
The meta object literal for the 'Minor Grid' containment reference feature.

### AXIS__SCALE

static final org.eclipse.emf.ecore.EReference AXIS__SCALE
The meta object literal for the 'Scale' containment reference feature.

### AXIS__ORIGIN

static final org.eclipse.emf.ecore.EReference AXIS__ORIGIN
The meta object literal for the 'Origin' containment reference feature.

### AXIS__PRIMARY_AXIS

static final org.eclipse.emf.ecore.EAttribute AXIS__PRIMARY_AXIS
The meta object literal for the 'Primary Axis' attribute feature.

### AXIS__CATEGORY_AXIS

static final org.eclipse.emf.ecore.EAttribute AXIS__CATEGORY_AXIS
The meta object literal for the 'Category Axis' attribute feature.

### AXIS__PERCENT

static final org.eclipse.emf.ecore.EAttribute AXIS__PERCENT
The meta object literal for the 'Percent' attribute feature.

### AXIS__LABEL_WITHIN_AXES

static final org.eclipse.emf.ecore.EAttribute AXIS__LABEL_WITHIN_AXES
The meta object literal for the 'Label Within Axes' attribute feature.

### AXIS__ALIGNED

static final org.eclipse.emf.ecore.EAttribute AXIS__ALIGNED
The meta object literal for the 'Aligned' attribute feature.

### AXIS__SIDE_BY_SIDE

static final org.eclipse.emf.ecore.EAttribute AXIS__SIDE_BY_SIDE
The meta object literal for the 'Side By Side' attribute feature.

### AXIS__CURSOR

static final org.eclipse.emf.ecore.EReference AXIS__CURSOR
The meta object literal for the 'Cursor' containment reference feature.

### AXIS__LABEL_SPAN

static final org.eclipse.emf.ecore.EAttribute AXIS__LABEL_SPAN
The meta object literal for the 'Label Span' attribute feature.

### AXIS__AXIS_PERCENT

static final org.eclipse.emf.ecore.EAttribute AXIS__AXIS_PERCENT
The meta object literal for the 'Axis Percent' attribute feature.

### CHART_PREFERENCES

static final org.eclipse.emf.ecore.EClass CHART_PREFERENCES
The meta object literal for the '`Chart Preferences`' class.

See Also:
  - `ChartPreferencesImpl`
  - `ComponentPackageImpl.getChartPreferences()`

### CHART_PREFERENCES__LABELS

static final org.eclipse.emf.ecore.EReference CHART_PREFERENCES__LABELS
The meta object literal for the 'Labels' containment reference list feature.

### CHART_PREFERENCES__BLOCKS

static final org.eclipse.emf.ecore.EReference CHART_PREFERENCES__BLOCKS
The meta object literal for the 'Blocks' containment reference list feature.

### CURVE_FITTING

static final org.eclipse.emf.ecore.EClass CURVE_FITTING
The meta object literal for the '`Curve Fitting`' class.

See Also:
  - `CurveFittingImpl`
  - `ComponentPackageImpl.getCurveFitting()`

### CURVE_FITTING__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference CURVE_FITTING__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### CURVE_FITTING__LABEL

static final org.eclipse.emf.ecore.EReference CURVE_FITTING__LABEL
The meta object literal for the 'Label' containment reference feature.

### CURVE_FITTING__LABEL_ANCHOR

static final org.eclipse.emf.ecore.EAttribute CURVE_FITTING__LABEL_ANCHOR
The meta object literal for the 'Label Anchor' attribute feature.

### DIAL

static final org.eclipse.emf.ecore.EClass DIAL
The meta object literal for the '`Dial`' class.

See Also:
  - `DialImpl`
  - `ComponentPackageImpl.getDial()`

### DIAL__START_ANGLE

static final org.eclipse.emf.ecore.EAttribute DIAL__START_ANGLE
The meta object literal for the 'Start Angle' attribute feature.

### DIAL__STOP_ANGLE

static final org.eclipse.emf.ecore.EAttribute DIAL__STOP_ANGLE
The meta object literal for the 'Stop Angle' attribute feature.

### DIAL__RADIUS

static final org.eclipse.emf.ecore.EAttribute DIAL__RADIUS
The meta object literal for the 'Radius' attribute feature.

### DIAL__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference DIAL__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### DIAL__FILL

static final org.eclipse.emf.ecore.EReference DIAL__FILL
The meta object literal for the 'Fill' containment reference feature.

### DIAL__DIAL_REGIONS

static final org.eclipse.emf.ecore.EReference DIAL__DIAL_REGIONS
The meta object literal for the 'Dial Regions' containment reference list feature.

### DIAL__MAJOR_GRID

static final org.eclipse.emf.ecore.EReference DIAL__MAJOR_GRID
The meta object literal for the 'Major Grid' containment reference feature.

### DIAL__MINOR_GRID

static final org.eclipse.emf.ecore.EReference DIAL__MINOR_GRID
The meta object literal for the 'Minor Grid' containment reference feature.

### DIAL__SCALE

static final org.eclipse.emf.ecore.EReference DIAL__SCALE
The meta object literal for the 'Scale' containment reference feature.

### DIAL__INVERSE_SCALE

static final org.eclipse.emf.ecore.EAttribute DIAL__INVERSE_SCALE
The meta object literal for the 'Inverse Scale' attribute feature.

### DIAL__LABEL

static final org.eclipse.emf.ecore.EReference DIAL__LABEL
The meta object literal for the 'Label' containment reference feature.

### DIAL__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference DIAL__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### DIAL_REGION

static final org.eclipse.emf.ecore.EClass DIAL_REGION
The meta object literal for the '`Dial Region`' class.

See Also:
  - `DialRegionImpl`
  - `ComponentPackageImpl.getDialRegion()`

### DIAL_REGION__INNER_RADIUS

static final org.eclipse.emf.ecore.EAttribute DIAL_REGION__INNER_RADIUS
The meta object literal for the 'Inner Radius' attribute feature.

### DIAL_REGION__OUTER_RADIUS

static final org.eclipse.emf.ecore.EAttribute DIAL_REGION__OUTER_RADIUS
The meta object literal for the 'Outer Radius' attribute feature.

### GRID

static final org.eclipse.emf.ecore.EClass GRID
The meta object literal for the '`Grid`' class.

See Also:
  - `GridImpl`
  - `ComponentPackageImpl.getGrid()`

### GRID__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference GRID__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### GRID__TICK_STYLE

static final org.eclipse.emf.ecore.EAttribute GRID__TICK_STYLE
The meta object literal for the 'Tick Style' attribute feature.

### GRID__TICK_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference GRID__TICK_ATTRIBUTES
The meta object literal for the 'Tick Attributes' containment reference feature.

### GRID__TICK_SIZE

static final org.eclipse.emf.ecore.EAttribute GRID__TICK_SIZE
The meta object literal for the 'Tick Size' attribute feature.

### GRID__TICK_COUNT

static final org.eclipse.emf.ecore.EAttribute GRID__TICK_COUNT
The meta object literal for the 'Tick Count' attribute feature.

### LABEL

static final org.eclipse.emf.ecore.EClass LABEL
The meta object literal for the '`Label`' class.

See Also:
  - `LabelImpl`
  - `ComponentPackageImpl.getLabel()`

### LABEL__CAPTION

static final org.eclipse.emf.ecore.EReference LABEL__CAPTION
The meta object literal for the 'Caption' containment reference feature.

### LABEL__BACKGROUND

static final org.eclipse.emf.ecore.EReference LABEL__BACKGROUND
The meta object literal for the 'Background' containment reference feature.

### LABEL__OUTLINE

static final org.eclipse.emf.ecore.EReference LABEL__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### LABEL__SHADOW_COLOR

static final org.eclipse.emf.ecore.EReference LABEL__SHADOW_COLOR
The meta object literal for the 'Shadow Color' containment reference feature.

### LABEL__INSETS

static final org.eclipse.emf.ecore.EReference LABEL__INSETS
The meta object literal for the 'Insets' containment reference feature.

### LABEL__VISIBLE

static final org.eclipse.emf.ecore.EAttribute LABEL__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### LABEL__ELLIPSIS

static final org.eclipse.emf.ecore.EAttribute LABEL__ELLIPSIS
The meta object literal for the 'Ellipsis' attribute feature.

### MARKER_LINE

static final org.eclipse.emf.ecore.EClass MARKER_LINE
The meta object literal for the '`Marker Line`' class.

See Also:
  - `MarkerLineImpl`
  - `ComponentPackageImpl.getMarkerLine()`

### MARKER_LINE__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference MARKER_LINE__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### MARKER_LINE__VALUE

static final org.eclipse.emf.ecore.EReference MARKER_LINE__VALUE
The meta object literal for the 'Value' containment reference feature.

### MARKER_LINE__LABEL

static final org.eclipse.emf.ecore.EReference MARKER_LINE__LABEL
The meta object literal for the 'Label' containment reference feature.

### MARKER_LINE__LABEL_ANCHOR

static final org.eclipse.emf.ecore.EAttribute MARKER_LINE__LABEL_ANCHOR
The meta object literal for the 'Label Anchor' attribute feature.

### MARKER_LINE__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference MARKER_LINE__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### MARKER_LINE__TRIGGERS

static final org.eclipse.emf.ecore.EReference MARKER_LINE__TRIGGERS
The meta object literal for the 'Triggers' containment reference list feature.

### MARKER_LINE__CURSOR

static final org.eclipse.emf.ecore.EReference MARKER_LINE__CURSOR
The meta object literal for the 'Cursor' containment reference feature.

### MARKER_RANGE

static final org.eclipse.emf.ecore.EClass MARKER_RANGE
The meta object literal for the '`Marker Range`' class.

See Also:
  - `MarkerRangeImpl`
  - `ComponentPackageImpl.getMarkerRange()`

### MARKER_RANGE__OUTLINE

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### MARKER_RANGE__FILL

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__FILL
The meta object literal for the 'Fill' containment reference feature.

### MARKER_RANGE__START_VALUE

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__START_VALUE
The meta object literal for the 'Start Value' containment reference feature.

### MARKER_RANGE__END_VALUE

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__END_VALUE
The meta object literal for the 'End Value' containment reference feature.

### MARKER_RANGE__LABEL

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__LABEL
The meta object literal for the 'Label' containment reference feature.

### MARKER_RANGE__LABEL_ANCHOR

static final org.eclipse.emf.ecore.EAttribute MARKER_RANGE__LABEL_ANCHOR
The meta object literal for the 'Label Anchor' attribute feature.

### MARKER_RANGE__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### MARKER_RANGE__TRIGGERS

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__TRIGGERS
The meta object literal for the 'Triggers' containment reference list feature.

### MARKER_RANGE__CURSOR

static final org.eclipse.emf.ecore.EReference MARKER_RANGE__CURSOR
The meta object literal for the 'Cursor' containment reference feature.

### NEEDLE

static final org.eclipse.emf.ecore.EClass NEEDLE
The meta object literal for the '`Needle`' class.

See Also:
  - `NeedleImpl`
  - `ComponentPackageImpl.getNeedle()`

### NEEDLE__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference NEEDLE__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### NEEDLE__DECORATOR

static final org.eclipse.emf.ecore.EAttribute NEEDLE__DECORATOR
The meta object literal for the 'Decorator' attribute feature.

### SCALE

static final org.eclipse.emf.ecore.EClass SCALE
The meta object literal for the '`Scale`' class.

See Also:
  - `ScaleImpl`
  - `ComponentPackageImpl.getScale()`

### SCALE__MIN

static final org.eclipse.emf.ecore.EReference SCALE__MIN
The meta object literal for the 'Min' containment reference feature.

### SCALE__MAX

static final org.eclipse.emf.ecore.EReference SCALE__MAX
The meta object literal for the 'Max' containment reference feature.

### SCALE__STEP

static final org.eclipse.emf.ecore.EAttribute SCALE__STEP
The meta object literal for the 'Step' attribute feature.

### SCALE__UNIT

static final org.eclipse.emf.ecore.EAttribute SCALE__UNIT
The meta object literal for the 'Unit' attribute feature.

### SCALE__MINOR_GRIDS_PER_UNIT

static final org.eclipse.emf.ecore.EAttribute SCALE__MINOR_GRIDS_PER_UNIT
The meta object literal for the 'Minor Grids Per Unit' attribute feature.

### SCALE__STEP_NUMBER

static final org.eclipse.emf.ecore.EAttribute SCALE__STEP_NUMBER
The meta object literal for the 'Step Number' attribute feature.

### SCALE__SHOW_OUTSIDE

static final org.eclipse.emf.ecore.EAttribute SCALE__SHOW_OUTSIDE
The meta object literal for the 'Show Outside' attribute feature.

### SCALE__TICK_BETWEEN_CATEGORIES

static final org.eclipse.emf.ecore.EAttribute SCALE__TICK_BETWEEN_CATEGORIES
The meta object literal for the 'Tick Between Categories' attribute feature.

### SCALE__AUTO_EXPAND

static final org.eclipse.emf.ecore.EAttribute SCALE__AUTO_EXPAND
The meta object literal for the 'Auto Expand' attribute feature.

### SCALE__MAJOR_GRIDS_STEP_NUMBER

static final org.eclipse.emf.ecore.EAttribute SCALE__MAJOR_GRIDS_STEP_NUMBER
The meta object literal for the 'Major Grids Step Number' attribute feature.

### SCALE__FACTOR

static final org.eclipse.emf.ecore.EAttribute SCALE__FACTOR
The meta object literal for the 'Factor' attribute feature.

### SERIES

static final org.eclipse.emf.ecore.EClass SERIES
The meta object literal for the '`Series`' class.

See Also:
  - `SeriesImpl`
  - `ComponentPackageImpl.getSeries()`

### SERIES__VISIBLE

static final org.eclipse.emf.ecore.EAttribute SERIES__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### SERIES__LABEL

static final org.eclipse.emf.ecore.EReference SERIES__LABEL
The meta object literal for the 'Label' containment reference feature.

### SERIES__DATA_DEFINITION

static final org.eclipse.emf.ecore.EReference SERIES__DATA_DEFINITION
The meta object literal for the 'Data Definition' containment reference list feature.

### SERIES__SERIES_IDENTIFIER

static final org.eclipse.emf.ecore.EAttribute SERIES__SERIES_IDENTIFIER
The meta object literal for the 'Series Identifier' attribute feature.

### SERIES__DATA_POINT

static final org.eclipse.emf.ecore.EReference SERIES__DATA_POINT
The meta object literal for the 'Data Point' containment reference feature.

### SERIES__DATA_SETS

static final org.eclipse.emf.ecore.EReference SERIES__DATA_SETS
The meta object literal for the 'Data Sets' map feature.

### SERIES__LABEL_POSITION

static final org.eclipse.emf.ecore.EAttribute SERIES__LABEL_POSITION
The meta object literal for the 'Label Position' attribute feature.

### SERIES__STACKED

static final org.eclipse.emf.ecore.EAttribute SERIES__STACKED
The meta object literal for the 'Stacked' attribute feature.

### SERIES__TRIGGERS

static final org.eclipse.emf.ecore.EReference SERIES__TRIGGERS
The meta object literal for the 'Triggers' containment reference list feature.

### SERIES__TRANSLUCENT

static final org.eclipse.emf.ecore.EAttribute SERIES__TRANSLUCENT
The meta object literal for the 'Translucent' attribute feature.

### SERIES__CURVE_FITTING

static final org.eclipse.emf.ecore.EReference SERIES__CURVE_FITTING
The meta object literal for the 'Curve Fitting' containment reference feature.

### SERIES__CURSOR

static final org.eclipse.emf.ecore.EReference SERIES__CURSOR
The meta object literal for the 'Cursor' containment reference feature.

### ESTRING_TO_DATA_SET_MAP_ENTRY

static final org.eclipse.emf.ecore.EClass ESTRING_TO_DATA_SET_MAP_ENTRY
The meta object literal for the '`EString To Data Set Map Entry`' class.

See Also:
  - `EStringToDataSetMapEntryImpl`
  - `ComponentPackageImpl.getEStringToDataSetMapEntry()`

### ESTRING_TO_DATA_SET_MAP_ENTRY__KEY

static final org.eclipse.emf.ecore.EAttribute ESTRING_TO_DATA_SET_MAP_ENTRY__KEY
The meta object literal for the 'Key' attribute feature.

### ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE

static final org.eclipse.emf.ecore.EReference ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE
The meta object literal for the 'Value' containment reference feature.